Last Comment Bug 1128258 - Error in attendee invitation dialog
: Error in attendee invitation dialog
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Lightning 3.3
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
: 1126647 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-01 04:48 PST by Philipp Kewisch [:Fallen]
Modified: 2015-10-01 13:27 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (6.83 KB, patch)
2015-02-07 11:12 PST, Philipp Kewisch [:Fallen]
mohit.kanwal: review+
Details | Diff | Splinter Review
Screen Shot of Event -> Invite Attendee (91.73 KB, image/png)
2015-10-01 12:37 PDT, nick@drstavros.com
no flags Details

Description User image Philipp Kewisch [:Fallen] 2015-02-01 04:48:54 PST
Fehler: A promise chain failed to handle a rejection.

Date: Mon Jan 19 2015 21:36:32 GMT+0100
Full Message: [JavaScript Error: "entry.interval is undefined" {file: "chrome://calendar/content/calendar-event-dialog-freebusy.xml" line: 777}]'[JavaScript Error: "entry.interval is undefined" {file: "chrome://calendar/content/calendar-event-dialog-freebusy.xml" line: 777}]' when calling method: [calIGenericOperationListener::onResult]
Quelldatei: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/XXX/AppData/Roaming/Thunderbird/Profiles/69cpayh5.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calFreeBusyService.js
Zeile: 30
Quelltext:
30
Comment 1 User image Stefan Sitter 2015-02-01 05:32:02 PST
*** Bug 1126647 has been marked as a duplicate of this bug. ***
Comment 2 User image Stefan Sitter 2015-02-01 05:33:50 PST
Same error was reported with Lightning 3.3. in bug 1126647.
Comment 3 User image nick@drstavros.com 2015-02-01 09:17:16 PST
I am not sure if this is related. But I can no longer open an email attachment directly. I have to save the file first, then go to Downloads and then open it from Finder. 

I tried to look at the error console, there are no errors. 

I have started to look at the permissions, to see if this might be the problem. I'll either file a separate bug report or post more information as I poke around.
Comment 4 User image Philipp Kewisch [:Fallen] 2015-02-02 10:10:14 PST
Nick, are you also using the Provider for Google Calendar?
Comment 5 User image nick@drstavros.com 2015-02-02 10:16:51 PST
Yes. It is currently enabled. But I have tried Disabling it and it doesn't seem to have any effect.

Provider for Google Calendar 1.0.3
Automatic Updated default [x] on [ ] off [ ]
Comment 6 User image Philipp Kewisch [:Fallen] 2015-02-02 13:21:32 PST
With disabling, you mean disabling in the addon manager? What other calendars are you subscribed to?
Comment 7 User image nick@drstavros.com 2015-02-02 13:53:09 PST
Yes, I have used the add-on manager to disable it. After I disabled, I restarted Thunderbird and get the same results on local Calendar, but I can't get to Google Calendars at all. 

I have no other calendars that I have subscribed to.
Comment 8 User image Philipp Kewisch [:Fallen] 2015-02-07 11:12:09 PST
Created attachment 8560906 [details] [diff] [review]
Fix - v1

Ok, I was able to reproduce. I found out our freebusy tests were horribly broken and the exception is being swallowed. I decided to remove the try/catch in the freebusy service, hoping that freebusy providers clean up after their errors and use the listener to respond to failure. I also added a mini-hack to the gdata provider to make sure it works with older versions.

Mohit, I'd appreciate if you could test this with any caldav server you may be using, just to make sure its working as expected.
Comment 9 User image Mohit Kanwal [:redDragon] 2015-02-07 21:21:05 PST
Comment on attachment 8560906 [details] [diff] [review]
Fix - v1

Review of attachment 8560906 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM. Although the iterator is not really going to be used yet right?

::: calendar/base/src/calUtils.js
@@ +1159,5 @@
>      mIid: null,
>      mInterfaces: null,
>  
> +    // Iterating the inteface bag iterates the interfaces it contains
> +    [Symbol.iterator]: function() this.mInterfaces[Symbol.iterator](),

Nice. I read up on iterators after seeing this strange code but currently its not going to be used right?

::: calendar/test/unit/test_freebusy_service.js
@@ +77,4 @@
>          getFreeBusyIntervals: function(aCalId, aStart, aEnd, aTypes, aListener) {
> +            do_check_false(this.called);
> +            this.called = true;
> +            aListener.onResult({ status: Components.results.NS_ERROR_FAILURE }, "notFound");

Is this hard coded string a standard generated error or used to show some log etc. Or for tests only?
Comment 10 User image Philipp Kewisch [:Fallen] 2015-02-08 03:15:49 PST
(In reply to Mohit Kanwal [:redDragon] from comment #9)
> > +    // Iterating the inteface bag iterates the interfaces it contains
> > +    [Symbol.iterator]: function() this.mInterfaces[Symbol.iterator](),
> 
> Nice. I read up on iterators after seeing this strange code but currently
> its not going to be used right?
It is used by the line: |for (let provider of this.mProviders) {|. The Syntax was new to me too, but its interesting :-)

> > +            aListener.onResult({ status: Components.results.NS_ERROR_FAILURE }, "notFound");
> 
> Is this hard coded string a standard generated error or used to show some
> log etc. Or for tests only?
The gdata provider would send this, without the changes I made there. It really doesn't matter what the second value is, in case of an error it should be some sort of error detail. So in this case its used for testing only.
Comment 11 User image Philipp Kewisch [:Fallen] 2015-02-08 06:06:46 PST
Pushed to comm-central changeset 30b4d01623c0
Comment 12 User image nick@drstavros.com 2015-02-17 07:47:13 PST
I just upgraded to Yosemite 10.10.2 and the problem did not get resolved. Same issue as before.
Comment 13 User image nick@drstavros.com 2015-02-17 07:49:15 PST
I noticed its "Resolved" in 4.0 ... any indication as to when that will be released? Again thanks.
Comment 14 User image Philipp Kewisch [:Fallen] 2015-02-17 08:15:36 PST
Together with Thunderbird 38. It will be ready in about 13 weeks. You can test nightly builds if you like, please check your favorite search engine.
Comment 15 User image nick@drstavros.com 2015-09-30 14:33:45 PDT
Is this ever going to get resolved? It makes using the Calendar very clunky. I make the event in Thunderbird, then have to go to some other view of Calendar to add invitees.

Currently at 

Thunderbird 38.2.0
Lightning 4.0.2.1
Comment 16 User image Philipp Kewisch [:Fallen] 2015-09-30 23:11:21 PDT
Are you getting the exact error from comment 0? This specific issue should be fixed with Lightning 4.0.1 and up.
Comment 17 User image nick@drstavros.com 2015-10-01 09:24:53 PDT
I get no errors, just the original symptoms. 

1. I "Create" an event by double clicking a date ... today .. See
2. I "Invite Attendees"
3. Screen pops up with All kinds of "good" stuff. There is a section for "Required Attendee", "Optional Attendee", "Chair" ... etc
4. I try to use one of those .. nothing happens

MacOS 10.10.3
Comment 18 User image Stefan Sitter 2015-10-01 10:15:47 PDT
(In reply to nick@drstavros.com from comment #17)

The area at the bottom of the dialog just explain the icon meanings. You need to enter the email address of the invitees in the left column. Use the icon next to the attendees entry to toggle its status. If you don't see the area to enter the email addresses the dialog was probably just resized. Resize it and increase the dialogs height.
Comment 19 User image nick@drstavros.com 2015-10-01 12:33:09 PDT
There are no data entry fields on the left side for invitees. I have a screenshot, but I can't remember how to upload it.
Comment 20 User image nick@drstavros.com 2015-10-01 12:37:59 PDT
Created attachment 8668592 [details]
Screen Shot of Event -> Invite Attendee

I have made the field as wide as I can .. .no luck
Comment 21 User image Stefan Sitter 2015-10-01 12:45:46 PDT
> "Resize it and increase the dialogs height". 
By height I meant the distance from bottom border of the dialog to top border of the dialog. Not the distance from left border to right border :)
Comment 22 User image nick@drstavros.com 2015-10-01 13:27:21 PDT
dah .. That worked ... I guess you have to be more explicit to those of us who are a bit too literal!

Again, thanks. Its nice to have it back!

Note You need to log in before you can comment on or make changes to this bug.